## seahorse-nautilus 3.11.92+git20230129.d59dc92f

=== meson_options.txt ===
option('check-compatible-gpg', type: 'boolean', value: true, description: 'Perform a rudimentary check if the GPG and GPG versions are compatible')
option('nautilus-ext-dir', type: 'string', value: '', description: 'Path to the nautilus extensions directory')
option('libnotify', type: 'boolean', value: true, description: 'Allow libnotify notifications')

## seahorse-nautilus 3.3.1

=== debian/changelog ===
seahorse-nautilus (3.3.1-0ubuntu1) precise; urgency=low

  * Initial packaging based on old seahorse-plugins package (LP: #862609)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 20 Feb 2012 14:25:52 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: seahorse-nautilus
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8),
               cdbs (>= 0.4.41),
               libgpgme11-dev,
               libnotify-dev,
               libdbus-glib-1-dev,
               libgnome-keyring-dev,
               libcryptui-dev,
               libglib2.0-dev (>= 2.16),
               libgtk-3-dev,
               libgconf2-dev,
               gnome-pkg-tools,
               libnautilus-extension-dev (>= 2.12)
Standards-Version: 3.9.2
Homepage: http://live.gnome.org/Seahorse

Package: seahorse-nautilus
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         seahorse-daemon (>= 3.2.2)
Recommends: seahorse
Replaces: seahorse-plugins
Description: seahorse plugins and utilities for encryption in GNOME
 Seahorse nautilus is an extension for nautilus which allows encryption
 and decryption of OpenPGP files using GnuPG - the Gnu Privacy Guard
 program.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --disable-schemas-install

binary-post-install/seahorse-nautilus::
	find debian/seahorse-nautilus -name '*.a' -exec rm -f {} \;
	find debian/seahorse-nautilus -name '*.la' -exec rm -f {} \;

## seahorse-nautilus 3.5.91

=== debian/changelog ===
seahorse-nautilus (3.5.91-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1045572)
  * debian/control:
    - Add build-depends on libgcr-3-dev
    - Drop build-depends on libgconf2-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 05 Sep 2012 10:28:20 +1200

## seahorse-nautilus 3.5.92

=== debian/changelog ===
seahorse-nautilus (3.5.92-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 18 Sep 2012 14:44:54 +0200

## seahorse-nautilus 3.6.0

=== debian/changelog ===
seahorse-nautilus (3.6.0-0ubuntu2) quantal; urgency=low

  * debian/patches/fix-schema-identifier.patch: use correct identifier in
    schema file.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 05 Oct 2012 08:57:11 -0400

seahorse-nautilus (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release
  * debian/rules:
    - Remove obsolte --disable-schemas-install configure option

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 27 Sep 2012 09:54:04 +1200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: seahorse-nautilus
 Section: gnome
 Priority: optional
@@ -15,12 +14,12 @@
                libdbus-glib-1-dev,
                libgnome-keyring-dev,
                libcryptui-dev,
+               libgcr-3-dev (>= 3.4.0),
                libglib2.0-dev (>= 2.16),
                libgtk-3-dev,
-               libgconf2-dev,
                gnome-pkg-tools,
                libnautilus-extension-dev (>= 2.12)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://live.gnome.org/Seahorse
 
 Package: seahorse-nautilus

## seahorse-nautilus 3.6.1

=== debian/changelog ===
seahorse-nautilus (3.6.1-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/patches/fix-schema-identifier.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 13 Nov 2012 17:30:54 +1300

## seahorse-nautilus 3.7.5

=== debian/changelog ===
seahorse-nautilus (3.7.5-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control(.in):
    - Add Build-Depends on autotools-dev to silence lintian warning.
    - Fix capitalization of "GNU" in Description.
    - Bump Standards-Version to 3.9.4.
  * debian/copyright: Update symlink GPL license.

 -- Logan Rosen <logatronico@gmail.com>  Thu, 07 Feb 2013 12:33:09 -0500

## seahorse-nautilus 3.8.0

=== debian/changelog ===
seahorse-nautilus (3.8.0-0ubuntu2) saucy; urgency=low

  * debian/patches/git_work_with_new_glib.patch:
    - restore working encryption and signature with new glib (lp: #1222538)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 09 Sep 2013 15:47:01 +0200

seahorse-nautilus (3.8.0-0ubuntu1) saucy; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 14 May 2013 19:43:05 +0200

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,9 @@
                libglib2.0-dev (>= 2.16),
                libgtk-3-dev,
                gnome-pkg-tools,
-               libnautilus-extension-dev (>= 2.12)
-Standards-Version: 3.9.3
+               libnautilus-extension-dev (>= 2.12),
+               autotools-dev
+Standards-Version: 3.9.4
 Homepage: http://live.gnome.org/Seahorse
 
 Package: seahorse-nautilus
@@ -31,6 +32,6 @@
 Replaces: seahorse-plugins
 Description: seahorse plugins and utilities for encryption in GNOME
  Seahorse nautilus is an extension for nautilus which allows encryption
- and decryption of OpenPGP files using GnuPG - the Gnu Privacy Guard
+ and decryption of OpenPGP files using GnuPG - the GNU Privacy Guard
  program.

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,6 @@
 
 LDFLAGS += -Wl,-O1 -Wl,--as-needed
 
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-schemas-install
-
 binary-post-install/seahorse-nautilus::
 	find debian/seahorse-nautilus -name '*.a' -exec rm -f {} \;
 	find debian/seahorse-nautilus -name '*.la' -exec rm -f {} \;

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/seahorse-nautilus/([\d\.]+)/ \
seahorse-nautilus-([\d\.]+)\.tar\.xz

## seahorse-nautilus 3.11.92

=== debian/changelog ===
seahorse-nautilus (3.11.92-2) unstable; urgency=medium

  [ Carlos Maddela ]
  * debian/control:
    - Remove no longer needed build dependency on libgconf2-dev.
      (Closes: #711018)
    - Perform wrap and sort.
    - Update homepage.
    - Update maintainers.
    - Add VCS details.
  * debian/compat: Update to level 10.
  * debian/copyright: Tidy up, update and make Lintian-clean.
  * debian/rules:
    - Link libraries as needed to avoid unnecessary dependencies.
    - Enable all hardening flags.
    - Silence ISO C pedantic and deprecated API warnings.
  * debian/patches/*:
    - Fix gpg21.patch not to patch configure script directly, since
      it interferes with the backing up and restoration of mutable
      files. Patching configure.ac is sufficient.
    - Replace INCLUDES with target_CPPFLAGS in Makefile.am files,
      to allow them to work with more recent versions of automake
      without warnings.
    - Fix trivial compilation warnings.
    - Fix desktop files to use valid field code with Exec key.
    - Sync translations with unreleased upstream commits.
      Updated Basque, Swedish, Greek, French, Russian, Turkish,
      Catalan, Occitan, Polish and Portuguese. Added Bosnian.
    - Cherry-pick unreleased upstream update to README file.
  * debian/watch:
    - Update upstream URL.
    - Indicate that the upstream sources are not GPG signed.
  * debian/source/lintian-overrides: Add override to silence above
    warning.

  [ Clément Hermann ]
  * Update maintainer (Closes: #849727).
  * Update (and rename) gpg21 patch to allow building with GnuPG 2.2
    (Closes: #876603)
  * Add cross.patch from Helmut Grohne to fix FTCBFS (Closes: #870511)
  * debian/patches:
    - Add missing DEP-3 fields.
  * Remove unused build-dep to libgnome-keyring-dev (Closes: #867938)
  * debian/copyright: update copyright for debian/*
  * debian/control:
    - Add myself to Uploaders.
    - Bump standards version to 4.1.1 (no change).

 -- Clément Hermann <nodens@nodens.org>  Sun, 05 Nov 2017 16:50:56 +0100

seahorse-nautilus (3.11.92-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * gpg21.patch: new patch, fixes FTBFS by supporting GnuPG 2.1;
    Thanks to Adrian Bunk <bunk@stusta.de> for providing a patch.
    (Closes: #835675)
  * Really remove add-correct-flag-for-reaping-the-progress-child.patch.

 -- Ulrike Uhlig <u@451f.org>  Wed, 16 Nov 2016 21:31:26 +0100

seahorse-nautilus (3.11.92-1) unstable; urgency=medium

  [ Clément Hermann (nodens) ]
  * New upstream release (Closes: #734983)
  * Remove add-correct-flag-for-reaping-the-progress-child.patch (applied
    upstream)

  [ Janos Guljas ]
  * Update standards version to 3.9.5.

 -- Janos Guljas <janos@debian.org>  Mon, 15 Sep 2014 21:35:17 +0200

seahorse-nautilus (3.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add correct flag for reaping the progress child (Closes: #741187)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 22 Mar 2014 23:19:39 +0000

seahorse-nautilus (3.8.0-1) unstable; urgency=low

  * New upstream release.
  * New build dependency libgcr-3-dev.

 -- Janos Guljas <janos@debian.org>  Wed, 29 May 2013 13:53:58 +0200

seahorse-nautilus (3.4.0-2) unstable; urgency=low

  * Remove unused file debian/libnautilus-seahorse.install.
  * Add git-buildpackage configuration debian/gbp.conf.
  * Fix debian/copyright for tool/seahorse-secure-buffer.*.

 -- Janos Guljas <janos@debian.org>  Sat, 06 Apr 2013 19:48:49 +0200

seahorse-nautilus (3.4.0-1) unstable; urgency=low

  * Initial release. (Closes: #668221)

 -- Janos Guljas <janos@debian.org>  Wed, 30 Jan 2013 02:11:15 +0100

=== debian/control ===
Source: seahorse-nautilus
Section: gnome
Priority: optional
Maintainer: Debian Privacy Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Carlos Maddela <e7appew@gmail.com>, Ulrike Uhlig <u@451f.org>, Clément Hermann <nodens@nodens.org>
Build-Depends: debhelper (>= 10),
               gnome-pkg-tools,
               intltool,
               libcryptui-dev,
               libdbus-glib-1-dev,
               libgcr-3-dev,
               libgpgme11-dev,
               libgtk-3-dev,
               libnautilus-extension-dev,
               libnotify-dev
Standards-Version: 4.1.1
Homepage: https://wiki.gnome.org/Apps/Seahorse
Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/seahorse-nautilus.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/seahorse-nautilus.git

Package: seahorse-nautilus
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: seahorse
Replaces: seahorse-plugins
Description: Nautilus extension for Seahorse integration
 Seahorse nautilus is an extension for nautilus which allows encryption
 and decryption of OpenPGP files using GnuPG - the GNU Privacy Guard
 program.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -Wno-deprecated-declarations
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_clean:
	dh_clean -X.orig
	for f in $(MUTABLE_FILES); do \
		test ! -f $$f.orig || mv -f $$f.orig $$f; \
	done

override_dh_auto_install:
	dh_auto_install
	find debian/seahorse-nautilus -name '*.la' -exec rm -f {} \;

override_dh_makeshlibs:
	# libnautilus-seahorse.so is a plugin, not a shared library
	dh_makeshlibs -Xlibnautilus-seahorse

=== debian/watch ===
version=3
opts="pgpmode=none" \
https://download.gnome.org/sources/seahorse-nautilus/([\d\.]+)/ seahorse-nautilus-([\d\.]+)\.tar\.xz

## seahorse-nautilus 3.11.92+git20230129.d59dc92f

=== debian/changelog ===
seahorse-nautilus (3.11.92+git20230129.d59dc92f-2) unstable; urgency=medium

  * Team upload
  * Add patch to fix build with gnupg2 2.4 (Closes: #1102783)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 12 Apr 2025 17:52:42 -0400

seahorse-nautilus (3.11.92+git20230129.d59dc92f-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Remove myself from Uploaders

  [ Clément Hermann ]
  * Import latest commits from upstream VCS as 3.11.92+git20230129.d59dc92f:
    - port to libnautilus-extension-4 (closes: 1017621)
    - various code and build system fixes
    - translations fixes
  * d/patches:
    - remove obsolete patches
    - fix-warning.patch: update Forwarded URL
    - add meson_use_dependency_for_gpme.patch build system to avoid
      gpgme-config usage (not shipped in Debian currently, and obsolete anyway)
      (Forwarded)
  * d/docs: README → README.md
  * d/control:
      - add meson (>= 0.51) build-depends
      - update libnautilus-extension-dev version requirement
      - update my email in Uploaders to debian.org address
      - Switch to debhelper-compat 13 (and drop debian/compat file)
  * Update d/copyright
  * Declare compliance with Policy v4.6.2
  * lintian-overrides: update tag name
  * d/copyright: remove paragraphs for removed files
  * update upstream metadata:
      - Homepage isn't a DEP-12 field
      - add "extension" to Name
  * Update debian/watch to version 4 (no change)
  * d/rules: remove unneeded linker flags '--as-needed'

 -- Clément Hermann <nodens@debian.org>  Sun, 05 Feb 2023 11:06:14 +0100

seahorse-nautilus (3.11.92-4) unstable; urgency=medium

  * (Almost) no-change upload to unstable to ensure migration to testing;
    binaries were uploaded with previous 3.11.92-3 release.
  * Add myself to Uploaders.
  * Bump Standards-Version to 4.4.0.
  * wrap-and-sort -sa.

 -- Chris Lamb <lamby@debian.org>  Sat, 10 Aug 2019 16:25:19 +0100

seahorse-nautilus (3.11.92-3) unstable; urgency=medium

  [ Clément Hermann ]
  * fix Bug-Debian field in remove_unused_gnome-keyring_dep.patch
  * debian/patches/*: Forward vendor patches and update DEP-3 fields
    accordingly

  [ Ulrike Uhlig ]
  * Fix typo to make Lintian happy.
  * Update VCS fields to new URL.

  [ Carlos Maddela ]
  * Update and tidy up build dependencies.
    - libgpgme11-dev → libgpgme-dev
    - Drop unused gnome-pkg-tools.
    - Drop libdbus-glib-1-dev and libgtk-3-dev, which are already
      dependencies of other build dependencies.
    - libnautilus-extension-dev >= 3.27.
  * Drop unused dh_clean override.
  * Update lintian override to use renamed tag.
    - debian-watch-may-check-gpg-signature →
        debian-watch-does-not-check-gpg-signature
  * Add machine-readable upstream metadata.
  * Set "Rules-Requires-Root: no".
  * Run wrap-and-sort.
  * Build with debhelper compat level 12.
  * Add nautilus-ext-headers.patch to stop inclusion of deprecated headers.
  * Add support for terse build option.
  * Indicate compliance with Debian Policy 4.3.0.
  * Allow git-buildpackage to automatically sign tags.
  * Indicate that package enhances nautilus.
  * Add trivial package test.

 -- Carlos Maddela <e7appew@gmail.com>  Mon, 04 Feb 2019 12:24:39 +1100

=== debian/control ===
Source: seahorse-nautilus
Section: gnome
Priority: optional
Maintainer: Debian Privacy Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders:
 Carlos Maddela <e7appew@gmail.com>,
 Ulrike Uhlig <u@451f.org>,
 Clément Hermann <nodens@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 intltool,
 libcryptui-dev,
 libgcr-3-dev,
 libgpgme-dev,
 libnautilus-extension-dev (>= 43.1),
 libnotify-dev,
 meson (>= 0.51)
Standards-Version: 4.6.2
Homepage: https://wiki.gnome.org/Apps/Seahorse
Vcs-Git: https://salsa.debian.org/pkg-privacy-team/seahorse-nautilus.git
Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/seahorse-nautilus
Rules-Requires-Root: no

Package: seahorse-nautilus
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 seahorse,
Enhances:
 nautilus,
Replaces:
 seahorse-plugins,
Description: Nautilus extension for Seahorse integration
 Seahorse nautilus is an extension for nautilus which allows encryption
 and decryption of OpenPGP files using GnuPG - the GNU Privacy Guard
 program.

=== debian/tests/control ===
Tests: no-la-files
Depends: dpkg, @
